#!/bin/sh

test `uname -s` = Linux && echocmd="echo -e" || echocmd="echo"

yorn ()
{
        YN=b
        while [ "$YN" != "n" -a "$YN" != "no" -a \
                "$YN" != "N" -a "$YN" != "NO" -a \
                "$YN" != "y" -a "$YN" != "yes" -a \
                "$YN" != "Y" -a "$YN" != "YES" -a \
                "$YN" != "Yes" -a "$YN" != "No" ]; do
                $echocmd $1
                read YN
                if [ "$YN" = "y" -o "$YN" = "yes" -o "$YN" = "Yes" -o \
                     "$YN" = "Y" -o "$YN" = "YES" ]; then
                        return 1
                fi
                if [ "$YN" = "n" -o "$YN" = "no" -o "$YN" = "No" -o \
                     "$YN" = "N" -o "$YN" = "NO" ]; then
                        return 0
                fi
                $echocmd "y ܂ n ͂Ă"
        done
}

cont ()
{
        yorn "𑱂܂ (y/n): \c"
        res=$?
        if [ "$res" != "1" ]; then
                exit 0
        fi
}

#
# check running as root
#
if test ! -w /etc/passwd
then
	$echocmd "$0: root łȂ΂̃XNvg͎sł܂"
	exit 1
fi
#
# check COBDIR set
#
if test -z "$COBDIR"
then
	$echocmd "$0: COBDIR ̐ݒ肪Kvł"
	exit 1
fi
PLATTAG=_hp
cd $COBDIR/lib
COBJVM=libcobjvm_java2.sl
COUNT=0
VERS=""
FILES=""
for file in libcobjvm*
do
  if test ! "$file" = "${COBJVM}"
  then
    JDKV="`$echocmd $file | cut -d'_' -f3- | cut -d'.' -f1`"
    V1="`$echocmd $JDKV | cut -c1`"
    V2="`$echocmd $JDKV | cut -c2`"
    V3="`$echocmd $JDKV | cut -c3`"
    V64="`$echocmd $JDKV | cut -c5-6`"
    if test "$V64" = "64"
    then
      VBITS=" 64-bit"
    else
      VBITS=""
    fi
    THISVERS="$V1.$V2.$V3$VBITS"
    if test -z "$FILES"
    then
      FILES=$file
      VERS=$THISVERS
    else
      FILES="$FILES:$file"
      VERS="$VERS:$THISVERS"
    fi
    COUNT=`expr $COUNT + 1`
  fi
done
VERS="$VERS:Java ZbgAbvsȂ"
COUNT=`expr $COUNT + 1`
 
if test $COUNT -lt 3
then
  cd ${OLDPWD}
  exit 0
fi

VALID="N"
while test "$VALID" = "N"
do
  $echocmd "\nJava ̃ftHgo[ẂAȉ̂ǂ̃o[Wɂ܂?\n" 
  $echocmd ": COBJVM ϐݒ肵āAIo[WύX" 
  $echocmd "      Ƃł܂B" 
  $echocmd "      ڍׂ́A}jÁuURs[eBOv" 
  $echocmd "      QƂB\n" 

  C=0
  while test $C -lt $COUNT 
  do
    C=`expr $C + 1`
    $echocmd "$C) `$echocmd $VERS | cut -d':' -f$C`"
  done
  
  $echocmd "\nԍIĂ: \c"
  read SEL
  if test ! -z "`$echocmd $SEL | tr -d '[0-9]'`" -o -z "$SEL"
  then
    continue
  fi
  if test $SEL -le $COUNT -a $SEL -ge 1 
  then
    VALID="Y"
  fi
done
if test $SEL -ne $COUNT # do nothing if user selected None of the above
then
  rm -f ${COBJVM}
  ln `$echocmd $FILES | cut -d':' -f$SEL` ${COBJVM}
  $echocmd "Java ZbgAbv܂\n"
else
# 2004/02/26 ck changed 'cd $COBDIR; ...' -- jpn scripts has "main java_setup"
  $echocmd "\nJava ZbgAbvXLbv܂B"
  $echocmd "̃ZbgAbvōs Java  COBOL ƘAg"
  $echocmd "g Java ̃o[WIɂ"
  $echocmd "X[p[[UŎ̃R}hsĂ:"
  $echocmd "  cd $COBDIR; sh ./bin/java_setup"
fi
cd ${OLDPWD}
